/**
 * @file pin_io.h
 * @author LokLiang
 * @brief 1. GPIO 的基本驱动， 2. 控制板载电压的开关
 * @version 0.1
 * @date 2024-04-16
 *
 * @copyright Copyright (c) 2024
 *
 */

#pragma once

#include "sys_types.h"
#include "config/board_config.h"

void pin_cfg_input(const cfg_board_pin_io_t *pin);
bool pin_get_valid(const cfg_board_pin_io_t *pin);

void pin_cfg_output(const cfg_board_pin_io_t *pin);
void pin_set_valid(const cfg_board_pin_io_t *pin, bool en);


